org.modeshape.jcr.value.binary

## Class BinaryStoreException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.jcr.RepositoryException
      - - org.modeshape.jcr.value.binary.BinaryStoreException

- All Implemented Interfaces:
    Serializable

      public class BinaryStoreException
      extends RepositoryException

  An exception in a BinaryStore.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BinaryStoreException(String message)` Create a new binary store exception with the specified message and cause.
    `BinaryStoreException(String message, Throwable rootCause)` Create a new binary store exception with the specified message and cause.
    `BinaryStoreException(Throwable rootCause)` Create a new binary store exception with the specified message and cause.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BinaryStoreException

          public BinaryStoreException(String message,
                              Throwable rootCause)

      Create a new binary store exception with the specified message and cause.
      Parameters:
        `message` - the message
        `rootCause` - the cause

    - #### BinaryStoreException

          public BinaryStoreException(String message)

      Create a new binary store exception with the specified message and cause.
      Parameters:
        `message` - the message

    - #### BinaryStoreException

          public BinaryStoreException(Throwable rootCause)

      Create a new binary store exception with the specified message and cause.
      Parameters:
        `rootCause` - the cause

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.